#include <iostream>
using namespace std;

int main() 
{
	long long int v, m;
	int br=0;
	cin>>v;
	while(v>0)
	{
		m=v;
		m=m%10;
		if(m==1 || m==2 || m==5)
			br+=1;
		if(m==3 || m==4 || m==6 || m==7)
			br+=2;
		if(m==8 || m==9)
			br+=3;
		if(m==0)
			br+=0;
		v/=10;
	}
	cout<<br;
}